Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.messaging
Interface IMessagingItem

All Superinterfaces
  IItem, Serializable

All Known Subinterfaces:
  IAppointment, ICalendarItem, ICmAppointment, ICmMailMessage, ICmTask, IContact, IGroupwareItem, IMailMessage, IMessage, INonDeliveryReport, IReadReport, ITask

    public interface IMessagingItem

extends IItem

Classes that implement this interface are items in the messaging schema (contain a body).

Field Summary
`static Key` | `BODY` Represents the plain text body of a groupware item.
`static Key` | `BODY_HTML` Represents the HTML body of a groupware item.
`static int` | `KEYID_BODY` The `int` ID for the `BODY` key.
`static int` | `KEYID_BODY_HTML` The `int` ID for the `BODY_HTML` key.

Fields inherited from interface com.compoze.collab.IItem
`CLASS, ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`String` | `getBody()` Gets the plain text body.
`String` | `getBodyHtml()` Gets the HTML body.
`void` | `setBody(String sBody)` Sets the plain text body.
`void` | `setBodyHtml(String sBody)` Sets the HTML body.

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Field Detail

### KEYID_BODY

    static final int KEYID_BODY

  The `int` ID for the `BODY` key.

  See Also
    Constants Summary

### KEYID_BODY_HTML

    static final int KEYID_BODY_HTML

  The `int` ID for the `BODY_HTML` key.

  See Also
    Constants Summary

### BODY

    static final Key BODY

  Represents the plain text body of a groupware item.

### BODY_HTML

    static final Key BODY_HTML

  Represents the HTML body of a groupware item.

Method Detail

### getBody

    String getBody()
                   throws CollaborationException

  Gets the plain text body.

  Returns
    the body
  Throws
    `CollaborationException`
  See Also
    `BODY`

### setBody

    void setBody(String sBody)
                 throws CollaborationException

  Sets the plain text body.

  Parameters
    `sBody` - the body
  Throws
    `CollaborationException`
  See Also
    `BODY`

### getBodyHtml

    String getBodyHtml()
                       throws CollaborationException

  Gets the HTML body.

  Returns
    the HTML body
  Throws
    `CollaborationException`

### setBodyHtml

    void setBodyHtml(String sBody)
                     throws CollaborationException

  Sets the HTML body.

  Parameters
    `sBody` - the HTML body
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved